RubyGems Navigation menu

rubocop 0.42.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.25.0 - January 18, 2022 (517 KB)
  2. 1.24.1 - December 31, 2021 (516 KB)
  3. 1.24.0 - December 23, 2021 (516 KB)
  4. 1.23.0 - November 15, 2021 (511 KB)
  5. 1.22.3 - October 27, 2021 (508 KB)
  6. 0.42.0 - July 25, 2016 (257 KB)
Show all versions (197 total)

Runtime Dependencies (5):

  • parser < 3.0, >= 2.3.1.1
  • powerpack ~> 0.1
  • rainbow < 3.0, >= 1.99.1
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    1bfd76aa1f6e266d459a7776e5de13956595aca4718758f593b5800c9d809918

    Total downloads 203,683,947

    For this version 1,738,311

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0.0

    Requires MFA accounts: Since 1.23.0

    Links: